import 'package:flutter/material.dart';
import 'package:nb_utils/nb_utils.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();

    initialize();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Utils Example',
      debugShowCheckedModeBanner: false,
      theme: ThemeData(),
      home: HomePage(),
    );
  }
}

class HomePage extends StatefulWidget {
  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: appBarWidget('Home', showBack: false),
      body: Container(
        child: SingleChildScrollView(
          padding: EdgeInsets.all(16),
          child: Column(
            children: <Widget>[
              UL(
                symbolType: SymbolType.Numbered,
                children: [
                  Text('Hi', style: primaryTextStyle()),
                  Text('Hello', style: primaryTextStyle()),
                  Text('How are you?', style: primaryTextStyle()),
                ],
              ),
              16.height,
              AppTextField(
                controller: TextEditingController(),
                textFieldType: TextFieldType.EMAIL,
                decoration: InputDecoration(
                    labelText: 'Email', border: OutlineInputBorder()),
              ),
              AppTextField(
                controller: TextEditingController(),
                textFieldType: TextFieldType.ADDRESS,
                decoration: InputDecoration(labelText: 'Address'),
              ),
              AppTextField(
                controller: TextEditingController(),
                textFieldType: TextFieldType.PASSWORD,
                decoration: InputDecoration(labelText: 'Password'),
              ),
              16.height,
              AppButton(
                text: 'Save',
                onTap: () async {
                  toast('Sample toast');
                },
              ),
              8.height,
              GoogleLogoWidget(),
              8.height,
              SettingItemWidget(
                title: 'Setting',
                decoration: BoxDecoration(borderRadius: radius()),
                onTap: () {
                  HomePage().launch(context);
                },
                leading: Icon(Icons.settings),
                borderRadius: defaultRadius,
                splashColor: Colors.yellow,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
